# Get a product

`GET https://api.parklio.com/v2/products/{id}`

Returns one product with its current state, type block and error flags. Re-read a product with it when you gave up waiting for a command's result. See [Products and operations](/concepts/products-and-operations).

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes | The product's `id`. |

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 124,
    "device_id": "G7654321",
    "name": "Main gate",
    "power_type": "grid",
    "lot_id": 7,
    "zone_id": 9,
    "product_type_id": 3,
    "hardware_version": null,
    "firmware_version": null,
    "latitude": 45.815,
    "longitude": 15.982,
    "status": "online",
    "advertisement_data": "<base64>",
    "battery_status": null,
    "rssi": -64,
    "product_error": null,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z",
    "gate": {
      "id": 12,
      "product_id": 124,
      "state": "closed",
      "permanent_position": "disabled",
      "deleted_at": null,
      "created_at": "2026-01-15T09:30:00.000Z",
      "updated_at": "2026-01-15T09:30:00.000Z"
    }
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

